Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Status of an access request

GET
/v2/tenant/request_access/{requestKey}
curl --request GET \
--url https://sender.api.kivra.com/v2/tenant/request_access/example \
--header 'Authorization: Bearer <token>'

Gets the updated status for a request generate using the request_access endpoint.

  • oAuth2Client
    get:kivra.v2.tenant.request_access.{requestKey}
requestKey
required
string format: hexadecimal

The unique Key for a request

Data about the requested tenant

Media typeapplication/json
RequestAccess
object
created_at

Datum when the request was created in UTC format

string
created_by

ID of client that created the request

string
status

Status of the request, for instance pending, accepted or rejected

string
client_id

ID Of You the Client

client_name

Name of the client who created the requested tenant

string
tenant_name

Name of the requested tenant

string
tenant_key

Key of the requested tenant

string
Example
{
"created_at": "2019-05-20T12:42:29Z",
"created_by": "client_15063298495eafd2749bb78e2f991af3ab023d13df",
"status": "pending",
"client_name": "Client XYZ",
"tenant_name": "Tenant ABC",
"tenant_key": "1424780396902ee9278b16417f8e3252c3ced28c38"
}
kivra-objkey
string format: hexadecimal value

Object Key for the Request